Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
OCE 1.11.0 release - problem
#1
Today I tried to upgrade the 1.10.2 with the gold release of 1.11.0
Usually these upgrades go like a dream but today I have had problems.  When it was completed, I went to the dashboard but could not log in.  I got a "Permission denied" message.  I noted that  of the 5 icons on the top line (logout, clock, storefront, system details, admin pic - only the admin picture was displaying. But if I clicked on the position of the others, they worked. A bit of clicking later and I could log in.  I then up updated the user groups and it all looked OK.

Then I clicked on the storefront icon to view the store and got

Fatal error: Call to a member function isLogged() on null in /home/********/public_html/admin/controller/common/header.php on line 228    (******* = domain name which displayed properly).

So I cannot see the store front.   I shall restore to the 1.10.2 version and see what happens. (Update = reverted via backups and all is well)
Reply
#2
The "Permission Denied" on UPDATE is normal because we added a level of protection for the Dashboard, so only selected Users (Top Admin) can see the overall store data/financials.
You did the right thing by updating the "user group" settings.

Regarding the store front, I simply can't explain it.
I did 5 months of testing and just today, updated my daughter's website from v1.10.2 to v1.11.0 (even changed the PHP version from 5.5 to 7.1) and I had no issues.
The isLogged() function is essential and working properly as far as I can tell.

I think you should give it another try and check errors on your server. V1.11.0 is much cleaner and stronger than v1.10.2 and it is the way forward.

For info, in v1.11.0 the ".htaccess" file has been updated to strengthen protection against XSS attacks and Proxy redirects. Maybe your ".htaccess" needs editing.

Keep me posted, as I am sure we can get this to work perfectly.
OpenCart Overclocked Edition Lead developer
Reply
#3
Thanks for the reply. I played around with a few things and did an upgrade which appears to have worked. I did get the permission denied thing again at one attempt - which is odd because I am a Top Administrator :-) But it let me in afterwards. So I will just keep going. Now for some exploring:-)

One problem was a config.php file in root install directory that I hadn't noticed originally - I usually just rename these before uploading to upgrade.
Reply
#4
No problem, I'm glad to hear that the upgrade is going ok now.

Keep checking your error log to fix configuration settings. Quite a few new parameters have been added and if not set correctly they will trigger errors. One obvious one is the "Slideshow" module because Camera Slider has been replaced with FlexSlider2.

Any further issues, do let me know. I'm here to help.
OpenCart Overclocked Edition Lead developer
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)